openapi: 3.0.0
info:
  title: Calix API Documentation
  description: Integration with Calix SOAP interface - 1 endpoint need to manually add others
  contact: {}
  version: '1.0'
servers:
- url: http://example.com/v1
  variables: {}
- url: https://example.com/v1
  variables: {}
paths:
  /cmsexc/ex/netconf:
    post:
      tags:
      - Generic
      summary: GenericCalixRequest
      description: Generic call to Calix
      operationId: GenericCalixRequest
      parameters:
      - name: Content-Type
        in: header
        description: ''
        required: true
        style: simple
        schema:
          enum:
          - application/xml
          type: string
      requestBody:
        description: ''
        content:
          application/xml:
            schema:
              type: string
              xml:
                name: body
                attribute: false
                wrapped: false
        required: true
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/xml:
              schema:
                type: string
                xml:
                  name: response200
                  attribute: false
                  wrapped: false
      deprecated: false
tags:
- name: Generic
  description: Generic Entity
